﻿@model MovieDatabaseMVC.Models.MovieDatabaseData


<h2>@ViewBag.Title</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <h4>@ViewBag.Message</h4>
        @if (Model.Error == null)
        {
            <div class="form-group">
                <div class="col-md-10" id="newName">
                    @Html.LabelFor(model => Model.Name, new { @class = "control-label col-md-2" })<br />
                    @Html.EditorFor(model => Model.Name, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.Name)
                </div>
                <div class="col-md-10" id="newGenres">
                    @if (Model.ListOfGenres != null)
                    {
                        <label class="control-label col-md-2">Žánry</label><br />
                        for (int i = 0; i < Model.ListOfGenres.Count; i++)
                        {
                            @Html.CheckBoxFor(model => Model.ListOfGenres[i].IsChecked, new { @class = "control-label" }) @Model.ListOfGenres[i].Text
                            @Html.HiddenFor(model => Model.ListOfGenres[i].Text)
                            @Html.HiddenFor(model => Model.ListOfGenres[i].Value)
                            <br />
                        }
                        <input type="button" id="newGenreButton" value="Přidat další žánr" onclick="addNewGenre(0)" class="btn btn-primary" /><br />
                    }

                </div>
                <div class="col-md-10" id="newCountries">
                    @if (Model.Country == null)
                    {
                        @Html.LabelFor(model => Model.Country, new { @class = "control-label col-md-2", @id = "newCountriesSelect" })<br />
                        @Html.DropDownListFor(model => Model.Country, new SelectList(Model.CountriesSelectList, "Value", "Text"), new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Country)
                        <input type="button" id="newGenreButton" value="Přidat novou zemi" onclick="addNewCountry()" class="btn btn-primary" /><br />
                    }
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-10">
                    <input type="submit" value="Přidat film" class="btn btn-info" />
                </div>
            </div>
        }
    </div>
}

<script type="text/javascript">
    function addNewGenre(number) {
        $('#newGenres').append("<input type='text' name='newGenre[" + number + "]' value='' class = 'form-control' />");
        $('#newGenreButton').attr('onclick', 'addNewGenre(' + (number + 1) + ')');
    }

    function addNewCountry() {
        $('#newCountries').append("<input type='text' name='newCountry' value='' class = 'form-control' />");
        $('#newCountriesSelect').attr('disabled', 'true');
    }

</script>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

